Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Matthew Wilcox <[email-masked]>
Date: Thu, 28 Aug 2008 10:10:40 -0600

On Thu, Aug 28, 2008 at 05:34:43PM +0200, Johannes Schindelin wrote:
> On Wed, 27 Aug 2008, Russell King wrote:
> > On Tue, Aug 26, 2008 at 06:17:05PM -0600, Matthew Wilcox wrote:
> > > We didn't know the conversation was going on.  Why should we?  We only
> > > use the tool, not develop it.  I'm also not on the mailing lists for
> > > mutt, vim, gcc, binutils, openssh, grep, xchat, mozilla, gnome, xpdf or
> > > any of the dozens of other programs I use on a daily basis.
> > 
> > Well said Matthew, as a git _user_ I completely agree.
> 
> So are you effectively saying that we should have asked on all the mailing 
> list of existing and potential Git users to ask their opinions?

No.  I'm effectively saying that *you shouldn't break backwards
compatibility*.  Ever.  It only annoys people.

Including:
 - The maintainer who has to listen to all this whining
 - Everyone who gets this thread cc'd in their inbox
 - People who hadn't been informed of the new way of doing things
 - People who thought they'd got their own way and now have to suffer
   the 'silent majority' speaking up.
 - Linus

-- 
Matthew Wilcox				Intel Open Source Technology Centre
"Bill, look, we understand that you're interested in selling us this
operating system, but compare it to ours.  We can't possibly take such
a retrograde step."